Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QDockWidget.DockWidgetFeature

    java.lang.Object
      java.lang.Enum<QDockWidget.DockWidgetFeature>
          com.trolltech.qt.gui.QDockWidget.DockWidgetFeature

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QDockWidget.DockWidgetFeature>

Enclosing class:
  QDockWidget

    public static enum QDockWidget.DockWidgetFeature

extends java.lang.Enum<QDockWidget.DockWidgetFeature>
implements QtEnumerator

Press link for info on QDockWidget.DockWidgetFeature

Enum Constant Summary
`AllDockWidgetFeatures` (Deprecated) The dock widget can be closed, moved, and floated.
`DockWidgetClosable` The dock widget can be closed.
`DockWidgetFeatureMask` Internal.
`DockWidgetFloatable` The dock widget can be detached from the main window, and floated as an independent window.
`DockWidgetMovable` The dock widget can be moved between docks by the user.
`DockWidgetVerticalTitleBar` The dock widget displays a vertical title bar on its left side.
`NoDockWidgetFeatures` The dock widget cannot be closed, moved, or floated.
`Reserved` Internal.

Method Summary
`static QDockWidget.DockWidgetFeatures` | `createQFlags(QDockWidget.DockWidgetFeature... values)`
`static QDockWidget.DockWidgetFeature` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDockWidget.DockWidgetFeature` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QDockWidget.DockWidgetFeature[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DockWidgetClosable

    public static final QDockWidget.DockWidgetFeature DockWidgetClosable

  The dock widget can be closed.

### DockWidgetMovable

    public static final QDockWidget.DockWidgetFeature DockWidgetMovable

  The dock widget can be moved between docks by the user.

### DockWidgetFloatable

    public static final QDockWidget.DockWidgetFeature DockWidgetFloatable

  The dock widget can be detached from the main window, and floated as an independent window.

### DockWidgetVerticalTitleBar

    public static final QDockWidget.DockWidgetFeature DockWidgetVerticalTitleBar

  The dock widget displays a vertical title bar on its left side. This can be used to increase the amount of vertical space in a `QMainWindow`.

### DockWidgetFeatureMask

    public static final QDockWidget.DockWidgetFeature DockWidgetFeatureMask

  Internal.

### AllDockWidgetFeatures

    public static final QDockWidget.DockWidgetFeature AllDockWidgetFeatures

  (Deprecated) The dock widget can be closed, moved, and floated. Since new features might be added in future releases, the look and behavior of dock widgets might change if you use this flag. Please specify individual flags instead.

### NoDockWidgetFeatures

    public static final QDockWidget.DockWidgetFeature NoDockWidgetFeatures

  The dock widget cannot be closed, moved, or floated.

### Reserved

    public static final QDockWidget.DockWidgetFeature Reserved

  Internal.

Method Detail

### values

    public static final QDockWidget.DockWidgetFeature[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QDockWidget.DockWidgetFeature c : QDockWidget.DockWidgetFeature.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QDockWidget.DockWidgetFeature valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QDockWidget.DockWidgetFeatures createQFlags(QDockWidget.DockWidgetFeature... values)

### resolve

    public static QDockWidget.DockWidgetFeature resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD